﻿namespace ExperienceEfCore.Models
{
    public class PriceMinMaxAvgDTO
    {
        public int MinPrice { get; set; }
        public int MaxPrice { get; set; }
        public double AvgPrice { get; set; }
    }
    public class ExpInfoDTO
    {
        public string? ExperienceName { get; set; }
        public int NumberOfGuests { get; set; }
        public int TotalSales { get; set; }
    }
    public class ExpInfoDiscountDTO
    {
        public string? ExperienceName { get; set; }
        public int NumberOfGuests { get; set; }
        public int TotalSales { get; set; }

        public double TotalSalesDiscount { get; set; }
    }

    public class UpdateExperiencePriceModelDTO
    {
        public int Id { get; set; }

        [NonNegativePrice]
        public int Price { get; set; }
    }
}
