﻿using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations;

namespace ExperienceEfCore.Models
{
    public class Provider
    {
        public int Id { get; set; }
        public required string BusinessAddress { get; set; }
        public required string PhoneNo { get; set; }

        public List<Experience> Experiences { get; set; } = new();
        public bool HasOperatorPermit { get; set; }
    }
}
