﻿using ExperienceEfCore.Models;
using Microsoft.EntityFrameworkCore;
using ExperienceEfCore.Data;

namespace ExperienceEfCore.Services
{
    public static class ProviderService
    {
        public static List<Provider> GetAllProviders(MyDbContext context)
        {
            return context.Providers.ToList();
        }
    
    public static Provider GetProvider(MyDbContext context, int id)
    {
        return context.Providers.FirstOrDefault(provider => provider.Id == id);
    }
    }
}