﻿using ExperienceEfCore.Data;
using ExperienceEfCore.Models;
using Microsoft.EntityFrameworkCore;

namespace ExperienceEfCore.Services
{
    public static class SharedExperienceServices
    {

        public static List<SharedExperience> GetAllSharedExperiencesOrderedByDate(MyDbContext context) 
        {
            return context.SharedExperiences.OrderByDescending(se => se.Date).ToList();
        }
    }
}
