﻿using System.ComponentModel.DataAnnotations;

namespace ExperienceEfCore.Attributes
{
    public class NonNegativeIdAttribute : ValidationAttribute
    {
        protected override ValidationResult IsValid(object value, ValidationContext validationContext)
        {
            if ((int)value < 0)
            {
                return new ValidationResult("Id must be non-negative");
            }
            return ValidationResult.Success;
        }
    }
}
