﻿using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations;


namespace ExperienceEfCore.Models
{
    public class Experience
    {
        [Key]
        public int Id { get; set; }
    
        public required Provider Provider { get; set; }

        public string? Name { get; set; }
        public string? Description { get; set; }

        public int? Price { get; set; }
        
        public List<SharedExperience> SharedExperiences { get; set; } = new();
        public List<Guest> Guests { get; set; } = new();
    }
}
